George Jones 6 лет назад
Родитель
Сommit
7fd2f917c8
6 измененных файлов с 41 добавлено и 83 удалено
  1. 11 0
      .link2home.ignore
  2. 0 1
      description
  3. 30 0
      install
  4. 0 17
      install.sh
  5. 0 6
      linkThisDir2Home
  6. 0 59
      xah_emacs_abbrev.el

+ 11 - 0
.link2home.ignore

@@ -0,0 +1,11 @@
+install
+.link2home.ignore
+README.el
+README.org
+description
+.gitignore
+.git
+
+
+
+

+ 0 - 1
description

@@ -1 +0,0 @@
-Misc elisp files written or borrowed.

+ 30 - 0
install

@@ -0,0 +1,30 @@
+#! /bin/bash
+# Link everthing in '$PWD' to a dir in '~/$PWD'
+#
+# Put a COPY (not link) of his in any directory that should have it's
+# file linked into root.
+
+# Any files listed (one per line) in .install.ignore will be ignored
+
+
+# get the directory of this script
+WHERE_AM_I="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+cd ${WHERE_AM_I}
+
+# Extract the directory name of this file
+BASEDIR=`basename $WHERE_AM_I`
+
+
+if [ -e ${HOME}/bin/link2home.sh ]; then
+   LINK2HOME="${HOME}/bin/link2home.sh"
+elif [ -e ${WHERE_AM_I}/link2home.sh ]; then
+   LINK2HOME="${WHERE_AM_I}/link2home.sh"
+else
+   echo "Can't find link2home.sh"
+   exit 1
+fi
+
+echo Linking evertying in "${WHERE_AM_I}"  into "~/""${BASEDIR}"
+${LINK2HOME} -v -d -r
+
+# any directory specific post-processing (permissions, etc) goes here.

+ 0 - 17
install.sh

@@ -1,17 +0,0 @@
-#! /bin/bash
-#
-# Link files from this directory into $HOME
-#
-
-set -e -u
-
-linkTo=$HOME
-linkThese=( `pwd` )
-link2=~/bin/link2
-
-rm -f ~/elisp-public || true
-ln -s `pwd` ~/elisp-public
-
-
-
-

+ 0 - 6
linkThisDir2Home

@@ -1,6 +0,0 @@
-#! /bin/sh
-#
-# Symlink all files in this directory to $HOME
-#
-~/bin/link2home
-

+ 0 - 59
xah_emacs_abbrev.el

@@ -1,62 +1,3 @@
-;; sample use of emacs abbreviation feature
-
-(define-abbrev-table 'global-abbrev-table '(
-
-    ;; math/unicode symbols
-    ("8in" "∈")
-    ("8nin" "∉")
-    ("8inf" "∞")
-    ("8luv" "♥")
-    ("8smly" "☺")
-
-    ;; email
-    ("8me" "someone@example.com")
-
-    ;; computing tech
-    ("8wp" "Wikipedia")
-    ("8ms" "Microsoft")
-    ("8g" "Google")
-    ("8it" "IntelliType")
-    ("8msw" "Microsoft Windows")
-    ("8win" "Windows")
-    ("8ie" "Internet Explorer")
-    ("8ahk" "AutoHotkey")
-
-    ;; normal english words
-    ("8alt" "alternative")
-    ("8char" "character")
-    ("8def" "definition")
-    ("8bg" "background")
-    ("8kb" "keyboard")
-    ("8ex" "example")
-    ("8kbd" "keybinding")
-    ("8env" "environment")
-    ("8var" "variable")
-    ("8ev" "environment variable")
-    ("8cp" "computer")
-
-    ;; signature
-    ("8xl" "Xah Lee")
-
-    ;; url
-    ("8uxl" "http://xahlee.info/")
-
-    ;; emacs regex
-    ("8d" "\\([0-9]+?\\)")
-    ("8str" "\\([^\"]+?\\)\"")
-
-    ;; shell commands
-    ("8ditto" "ditto -ck --sequesterRsrc --keepParent src dest")
-    ("8im" "convert -quality 85% ")
-
-    ("8f0" "find . -type f -size 0 -exec rm {} ';'")
-    ("8rsync" "rsync -z -r -v -t --exclude=\"*~\" --exclude=\".DS_Store\" --exclude=\".bash_history\" --exclude=\"**/xx_xahlee_info/*\"  --exclude=\"*/_curves_robert_yates/*.png\" --exclude=\"logs/*\"  --exclude=\"xlogs/*\" --delete --rsh=\"ssh -l xah\" ~/web/ xah@example.com:~/")
-    ))
-
-;; stop asking whether to save newly added abbrev when quitting emacs
-(setq save-abbrevs nil)
-;; sample use of emacs abbreviation feature
-
 (define-abbrev-table 'global-abbrev-table '(
 
     ;; math/unicode symbols